# PullRequests Object

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/pullrequests/

Schema for the `PullRequests` resource in **Unified CI/CD API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the pull request
- **`title`** _(string)_
  The title of the pull request
- **`number`** _(integer)_
  The number of the pull request
- **`description`** _(object)_
  The description of the pull request
  - **`content`** _(string)_
    The content of the body
  - **`format`** _(string)_
    The format of the body
    Allowed: `markdown`, `html`, `plaintext`
- **`status`** _(string)_
  The status of the pull request
  Allowed: `open`, `closed`, `merged`, `locked`
- **`base_branch`** _(object)_
  The base branch of the pull request
  - **`id`** _(string)_
    The unique identifier for the base branch
  - **`name`** _(string)_
    The name of the base branch
  - **`last_commit`** _(string)_
    The last commit of the base branch
- **`head_branch`** _(object)_
  The head branch of the pull request
  - **`id`** _(string)_
    The unique identifier for the head branch
  - **`name`** _(string)_
    The name of the head branch
  - **`last_commit`** _(string)_
    The last commit of the head branch
- **`author`** _(object)_
  The author of the pull request
  - **`id`** _(string)_
    The unique identifier for the author
  - **`username`** _(string)_
    The username of the author
  - **`type`** _(string)_
    The type of the author
    Allowed: `user`, `bot`
- **`closed_at`** _(string)_
  The date and time when the pull request was closed
- **`merged_at`** _(string)_
  The date and time when the pull request was merged
- **`created_at`** _(string)_
  The date and time when the pull request was created
- **`updated_at`** _(string)_
  The date and time when the pull request was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ci-cd/pull-requests/{id}](/docs/api-reference/unified-ci-cd-api/pullrequests/get) — Get Pull requests
- [GET /unified/ci-cd/pull-requests](/docs/api-reference/unified-ci-cd-api/pullrequests/list) — List Pull requests
